@font-face {
    font-family:'Inter';
    font-style:normal;
    font-weight:100,200,300,400,500,600,700,800;
    src: url('../fonts/Inter/Inter-VariableFont.ttf');
    font-display:swap;
}
@font-face {
    font-family:'Inter';
    font-style:italic;
    font-weight:100,200,300,400,500,600,700,800;
    src: url('../fonts/Inter/Inter-Italic-VariableFont.ttf');
    font-display:swap;
}

*{
    box-sizing:border-box;
}

body{
    padding:0;
    margin:0;
	background-color:white;
    font-family:'Inter', sans-serif;
    font-size: 18px;
    font-weight: 400;
    color:#333333;
}

.container{
	margin:0 auto;
    padding:0;
	max-width:840px;
	width:100%;
}

.header-panel{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    padding: 25px 0;
}

.logo a{
    user-select: none;
    text-decoration: none;
    font-size:22px;
    font-weight:600;
    line-height: 22px;
    color:#00A896;
}

.header-img{
    background-color:#CCEFEA;
    background-image: url('../img/header-img.svg');
    background-repeat:no-repeat;
    background-position: center center;
    height: 220px;
}


/*Меню header*/

.header-nav ul{
    padding:0;
    margin:0;
    list-style-type: none;
    display: flex;
}

.header-nav ul li{
    margin-left:50px;
    line-height: 16px;
}

.header-nav ul li:first-child{
    margin-left:0;
}

.header-nav ul li a{
    font-size:16px;
    color: #333333;
    font-weight: 500;
    text-decoration: none;
    line-height: 16px;
}

.header-nav ul li a:hover{
    color:#00A896;
}

#burger{
    display: none;
}

.burger-icon{
    display: none;
}


/*Начало крошки*/
.breadcrumbs{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin:20px 0;
}
.breadcrumbs ol{
    display: flex;
    flex-wrap:wrap;
    list-style-type: none;
    padding:0;
    margin:0;
}
.breadcrumbs ol li{
    margin:5px 0;
    color:#666666;
    font-size:16px;
}
.breadcrumbs ol li a{
    text-decoration: none;
    color:#666666;
    font-size: 16px;
}
.breadcrumbs ol li a:hover{
    color:#00A896;
}

.breadcrumbs li:not(:last-child)::after {
    content: "/";
    margin: 0 8px;
}

/*Конец крошкам*/


h1{
    color:#00BEAA;
    font-size:54px;
    font-weight: 800;
    line-height: 1.15;
    margin:50px 0 25px 0;
}

h2, .page-category-headline{
    font-size:36px;
    font-weight: 400;
    margin:45px 0 20px 0;
    color:#111111;
    line-height: 1.22;
}

h3, .toc-header{
    font-size:22px;
    font-weight: 600;
    color:#111111;
    line-height: 1.36;
    margin-bottom:15px;
    margin-top:35px;
}

h4, .example-title, .promo-end-content-btn a {
    font-size:18px;
    font-weight: 600;
    color:#111111;
}

p{
    line-height: 1.77;
    margin:25px 0;
}

p a{
    color:#00BEAA;
    text-decoration: underline;
}

p a:hover{
    color:#00A896;
    text-decoration: none;
}

strong, b{
    font-weight:600;
    color:#111111;
}

.example{
    margin:50px 0;
    padding:30px 35px;
    border-radius: 24px;
    border:1px solid #CCEFEA;
}

.example-header h3{
    margin:0;
}

.example-title{
	line-height: 30px;
}

.example-header, .example-solution{
    margin-bottom: 50px;
}

.example-header p:last-child, .example-answer p:last-child{
    margin-bottom:0;
}

.example p{
    margin:10px 0;
}


.katex{
    white-space:nowrap;
    overflow-x:auto;
    overflow-y:hidden;
    padding:5px 5px 20px 5px;
    max-width:100%;
}

.MathJax{
    white-space:nowrap;
    overflow-x:auto;
    overflow-y:hidden;
    padding:5px 5px 20px 5px;
    max-width:100%;
}

/*Оформление списков*/

.content ol{
    padding-left:20px;
    list-style-type:decimal;
}

.content ol li{
    margin-bottom:8px;
    line-height:1.7;
}

.content ol li:last-child{
    margin-bottom:0;
}

.content ol li::marker{
    color:#333333;
}

.content ul{
    padding-left:20px;
}

.content ul li{
    margin-bottom:8px;
    line-height:1.7;
}

.content ul li:last-child{
    margin-bottom:0;
}

.content ul li::marker{
    color:#333333;
}

/*Конец списков*/

/*Содержание статьи*/

.toc{
    background-color: #F5FBF9;
    border-radius: 24px;
    padding:30px 35px;
    margin:50px 0;
}

.toc ul{
    padding:0 0 0 24px;
    margin:0 0 0 2px;
    list-style-type: none;
}

.toc ul li{
    margin-bottom:8px;
}

.toc ul li:last-child{
    margin-bottom:0
}

.toc ul li a{
    font-weight: 400;
    color:#00BEAA;
    text-decoration: none;
}

.toc ol li a:hover{
    text-decoration: underline;
    color:#00A896;
}


/*Конец содержания статьи*/


/*Промо*/

.promo-end-content-btn a{
    display: block;
    margin:50px auto;
    text-decoration: none;
    background-color:#FFD600;
    padding:18px;
    width:320px;
    text-align: center;
    border-radius: 12px;
    border-bottom:4px solid #D4B200;
}

/*Конец промо*/

/*Блок Авторитетность*/
.author{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    margin:0 0 50px 0;
}

.avatar-small{
    background-image: url('../img/avatar_small.png');
    background-repeat: no-repeat;
    background-size: 100%;
    width:48px;
    height: 48px;
    margin-right:15px;
}

.author-desc-headline{
    display:block;
    font-size: 16px;
    color:#111111;
    font-weight: 500;
    text-decoration: none;
    margin-bottom:3px;
}

.author-desc-headline:hover{
    color:#00BEAA;
}

.author-desc-text{
    font-size:16px;
    color:#666666;
}

/*Конец авторитетности*/



/*Следующая и предыдущая статья*/

.other-article{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin: 40px 0;
    padding:0;
    list-style-type: none;
}

.other-article li{
    display: flex;
    max-width: 360px;
    margin:10px 0;
}

.other-article li:nth-child(2){
    text-align: right;
}

.other-article li a{
    color:#00BEAA;
    text-decoration: none;
    font-weight: 500;
    line-height: 1.44;
}

.other-article li a:hover{
    color:#00A896;
}

.other-article li:nth-child(1)::before{
    color:#00BEAA;
    content: '←';
    margin-right:10px;
}

.other-article li:nth-child(2)::after{
    color:#00BEAA;
    content: '→';
    margin-left:10px;
}

/*Оформление категорий на главной сайта*/

.category{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin:50px 0;
    padding:0 !important;
    list-style-type: none;
}

.category li{
    display: flex;
    margin:0 0 24px 0 !important;
}

.category li:last-child{
    margin-right: auto !important;
    margin-left:24px !important;
}

.category li a{
    display: flex;
    text-decoration: none;
    color:#333333;
    font-size:18px;
    font-weight: 500;
    background-color: #F5FBF9;
    background-repeat: no-repeat;
    background-size:48px 48px;
    background-position: 20px center;
    width:264px;
    min-height: 84px;
    padding:0 35px 0 88px;
    border-radius: 24px;
    line-height:1.3 !important;
    align-items: center;
}

.category li a:hover{
    color:#00A896;
}
/*Конец категорий*/


/*Список страниц категорий*/
.page-category{
    margin:35px 0;
    padding:35px 40px 45px 130px;
    background-color:#F5FBF9;
    border-radius:20px;
    background-repeat: no-repeat;
    background-size:60px 60px;
    background-position: 40px 38px;
}

.page-category-headline{
    margin-bottom:25px;
    margin-top:5px;
}

.page-category ul{
    padding:0;
    margin:0 0 0 3px;
    list-style-type:none;
}

.page-category ul li{
    margin:10px 0;
}
.page-category a{
    text-decoration: none;
    color:#4a4a4a;
    font-size: inherit;
    font-weight: 400;
}
.page-category a:hover{
    border-bottom:2px solid #00c900;
}

.page-category ul li ul{
    padding:0 0 40px 20px;
    list-style-type: circle;
    font-size:18px;
}


/*Конец списка страниц категорий*/


/*Футер*/
.footer-bg{
    background-color: #F5FBF9;
}
.footer{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding:35px 0;
}
.footer-col{
    max-width: 400px;
}

.footer ul{
    display: flex;
    flex-wrap: wrap;
    padding:0;
    margin:0;
    list-style-type: none;
}
.footer ul li{
    margin-right:25px;
}

.footer ul li:last-child{
    margin-right:0;
}

.footer ul li a{
    color:#333333;
    font-size: 14px;
    font-weight: 500;
    text-decoration: none;
}
.footer ul li a:hover{
    color:#00A896;
}

.footer-namesite{
    color:#666666;
	font-size:14px;
}

.footer-disclaimer{
    margin-top:15px;
    font-size:13px;
    color:#666666;
    max-width: 700px;
    line-height: 20px;
}

.footer-support{
    color:#333333;
    text-decoration: none;
}

.footer-support:hover{
    color:#00A896;
}

/*Конец футера*/

/*Для скрипта плавающего блока */

.sticky {
	position: fixed;
	z-index: 101;
}
.stop {
	position: relative;
	z-index: 101;
}

/* Конец */



@media screen and (max-width: 910px){
    .container{
        padding:0 35px;
    }
}

@media screen and (max-width: 767px){
    .container{
        padding:0 20px;
    }
    .burger-icon{
        display: block;
    }
    .burger-icon:before{
        display:block;
        content:'☰';
        font-size:24px;
        line-height: 22px;
    }
    .header-nav{
        display: none;
        padding:24px 20px;
        position: absolute;
        top:73px;
        left:0;
        width: 100%;
        z-index: 999;
        box-shadow: 0 100px 100px #00A896;
        background-color: #CCEFEA;
    }
    .header-nav ul{
        display:block;
    }
    .header-nav ul li{
        margin-bottom: 20px;
    }
    .header-nav ul li:last-child{
        margin:0;
    }
    .header-nav ul li a{
        font-size:18px;
    }
    #burger:checked ~ .header-nav{
        display: block;
    }
    #burger:checked ~ .burger-icon:before{
        content:'×';
        line-height: 0;
        font-size:36px;
        margin-bottom:5px;
        font-weight: 300;
    }
    .category li:last-child{
        margin-right: 0;
        margin-left:0 !important;
    }
    .other-article li{
        display:block;
        max-width: 100%;
    }
    .other-article li:nth-child(2){
        text-align: left;
    }
    .promo-end-content-btn a{
        width:100%;
    }
    .footer-col{
        margin-bottom:10px;
    }
}


@media screen and (max-width: 479px){
    h1{
        font-size: 32px;
        line-height: 38px;
    }
    h2, .page-category-headline{
        font-size:24px;
        line-height: 32px;
        margin-bottom:16px;
        margin-top:30px;
    }
    h3, .toc-header{
        font-size:20px;
        line-height: 26px;
        margin-bottom:12px;
        margin-top:25px;
    }
    .example{
        padding:20px 24px;
    }
    .toc{
        padding:20px 24px;
    }
}

